package com.ferienclub.vacancymgm;

import com.ferienclub.custadmin.beans.User;
import com.ferienclub.leisure.esb.messages.BookingQuery;
import com.ferienclub.vacancymgm.beans.Booking;
import com.ferienclub.vacancymgm.beans.Room;

public interface VacancyManagement {

	public Room[] getRooms(String dummy);
	
	public Booking[] getBookings(String dummy);
	
	public Booking[] getBookings(BookingQuery query);
	
	public Booking[] getBookings4Room(String roomId);
	
	public int makeBooking(Booking b);
	
	public int checkIn(User u);
	
	public int checkOut(User u);
	
}
